nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   linux x86-64 install checklist or FAQ (http://www.nvnews.net/vbulletin/showthread.php?t=47945)

rowntreerob 03-20-05 12:58 PM

linux x86-64 install checklist or FAQ
 
MOBO is msi nforce4 ultra chipset
grafx card is xfx 6600GT PCI-e

linux noob will attempt linux install and i have the following cheklist which im sure would benefit from experts here.

Please educate me

INSTALL TODO:

1. choose x86 64-bit distribution for AMD 64 and nVidia nforce4 chipset
a. install OS from SUSE dvd Or
b. SUSE 9.2 ISO downld OR
c. Redhat FC3 ISO downld <-- my choice
2. Install from DVD with bios set for "boot from CDROM"
hope that install to SATA drive is OK

partition the drive according to OS
install's defaults or according to best practice
3. install nvidia system drivers included with MOBO retail package
for MSI K8N included on cD's boxed with MOBO

4. check the onboard networking
hope that you connect to LAN & WEB

5. upgrade linux Kernel , but from which distro?
a. get kernel upgrade from the web ( 2.6.11 ) x86 64 bit version
download the 4 ISO images from Fedora ( FC3 )
FC3-x86_64-disc1.iso ( 2,3,4 )
OR
b. get SUSE 9.2 kernel:
http://www.novell.com/products/linu...onal/downloads/
6. upgrade nvidia system drivers ( NFORCE )
Linux AMD64 Drivers Latest Version: 1.0-0301

7. upgrade nvidia grafx drivers
Linux AMD64 Latest Version: 1.0-7167
FC3 nvidia docs

rowntreerob 04-06-05 01:17 PM

Re: linux x86-64 install checklist or FAQ
 
crossPost from msi

Build Checklist:
INSTALL TODO:

1. choose x86 64-bit distribution for AMD 64 and nVidia nforce4 chipset

a. install OS from SUSE dvd Or
b. SUSE 9.2 ISO downld OR
c. Redhat FC3 ISO downld <-- my choice

2. Install from DVD with bios set for "boot from CDROM"

Only one tip, the Mouse often doesnt work on the FC3 installer, so you have to use the keyboard and TAB / Enter key to go through the installation screens. Also the bootloader will be installed to the same disk as your linux partition (so if you have more than one disk you will have to use the F11 key with boot up and change which disk it attempts to boot from in order to run the correct bootloader at every boot).

hope that install to SATA drive is OK

partition the drive according to OS
install's defaults or according to best practice

3. check the onboard networking
hope that you connect to LAN & WEB

4. FC3 run up2date, selecting the kernel, and kernel-utils package

5. upgrade nvidia system drivers ( NFORCE )
Linux AMD64 Drivers Latest Version: 1.0-0301

6. upgrade nvidia grafx drivers
Linux AMD64 Latest Version: 1.0-7167

use FC3 docs at http://fedoranews.org/contributors/s.../#Installation

Outcome:

My build on FC3 led to Catch-22 where FC-3 "up2date" or FC-3 "yum" only go to kernel 2.6.10-1.770 and where the install of the nVidia Linux AMD64 Latest Version: 1.0-7167 posts a warning about kernel prerequisite for kernel 2.6.11. ( details below ). Responding to catch 22 i should have tried backing off to 6669 level on nVidia driver. I ran out of time and will probably start over with a different PCI-e video card.

Other people are successfully tweaking x86-64 linux on Neo 4's as indicated here and entire thread. The Readme contained in the nVidia driver download NVIDIA-Linux-x86_64-1.0-7167-pkg1.run covers required config file changes and X changes very well and is loaded with detailed config for screen modes.

What i had the most trouble with was finding a direct RPM from nVidia that would link with the kernel version produced by kernel upgrades made to FC3 by either "up2date" or by "yum". I did not want to go beyond where i was being led ( 2.6.10 ) - Yet the 7167 driver install cast warnings:
Code:

-> Performing change_page_attr() check.
WARNING: Your Linux kernel has problems in its implementation of
        the change_page_attr kernel interface.  The NVIDIA kernel
        module will attempt to work around these problems, but
        system stability may be affected.  It is recommended that
        you update to a 2.6.11 or newer kernel.
       
        Please see APPENDIX N: KNOWN ISSUES in NVIDIA's README for
        more details.

xserver log:
Code:

(EE) sparse io range (base: 0x2a95c7d406  mask: 0x808550)doesn't satisfy (base & mask = mask)
Links to logs are below:

xorg.conf

driver install and xorg.log

boot.log


All times are GMT -5. The time now is 01:53 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.